Bug 62922 - installer can't use ps/2 mouse
installer can't use ps/2 mouse
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
skipjack-beta2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks: 61901
  Show dependency treegraph
 
Reported: 2002-04-07 16:28 EDT by P Jones
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-10 16:40:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description P Jones 2002-04-07 16:28:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
on system with USB keyboard and PS/2 Mouse, it could not use or detect mouse
durring install. attached USB mouse and it worked fine.  Selected PS/2 type in
install and PS/2 mouse worked after install.   I suspect it would be diffrent
w/o usb keyboard (My laptop didnot have this problem with ps/2 keyboard & ps/2
mouse)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. attached ps/2 mouse & usb keyboard
2. boot the cd

	

Additional info:
Comment 1 Michael Fulbright 2002-04-09 14:22:35 EDT
What type of system do you have, and model of mouse and keyboard?

Comment 2 P Jones 2002-04-09 14:30:17 EDT
Keyboard:
 SUN USB type 6  (works like a charm)
Mouse:
 Logitec Trackman Marble. PS/2
Comment 3 P Jones 2002-04-09 14:34:26 EDT
d'oh, and system:
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 7
model name      : Pentium III (Katmai)
stepping        : 3
cpu MHz         : 601.379
cache size      : 512 KB
free
             total       used       free     shared    buffers     cached
Mem:        514392     387280     127112          0      68836     122468
-/+ buffers/cache:     195976     318416
Swap:       522104      68792     453312

# lspci 
00:00.0 Host bridge: Intel Corp. 440BX/ZX - 82443BX/ZX Host bridge (rev 03)
00:01.0 PCI bridge: Intel Corp. 440BX/ZX - 82443BX/ZX AGP bridge (rev 03)
00:07.0 ISA bridge: Intel Corp. 82371AB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corp. 82371AB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corp. 82371AB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corp. 82371AB PIIX4 ACPI (rev 02)
00:09.0 SCSI storage controller: Adaptec AIC-7881U
00:0b.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 3 (rev 01)
00:0d.0 Ethernet controller: Intel Corp. 82557 [Ethernet Pro 100] (rev 0c)
00:0f.0 Multimedia controller: Sigma Designs, Inc. REALmagic Hollywood Plus DVD
Decoder (rev 02)
01:00.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 4 / Voodoo 5
(rev 01)

Anything else?
Comment 4 Michael Fulbright 2002-04-09 14:40:19 EDT
I'll look into this.
Comment 5 Bill Nottingham 2002-04-10 16:40:50 EDT
This is a kernel issue.
Comment 6 Arjan van de Ven 2002-04-11 08:48:19 EDT
offending code found; fixed

Note You need to log in before you can comment on or make changes to this bug.